<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>ru.entaxy.esb.system.registry.systems</groupId>
        <artifactId>systems</artifactId>
        <version>1.9.0</version>
        <relativePath>../../systems/pom.xml</relativePath>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>system-impl</artifactId>
    <name>SYSTEM :: ENTAXY :: SYSTEM :: IMPL</name>
    <packaging>bundle</packaging>

    <properties>
        <bundle.osgi.import.pkg>
            ru.entaxy.esb.system.common.exception,
            ru.entaxy.esb.system.jpa,
            ru.entaxy.esb.system.jpa.entity,
            ru.entaxy.esb.system.connector.entity,
            ru.entaxy.esb.system.core.permission.jpa.entity,
            ru.entaxy.esb.system.management.bundle.jpa.entity,
            javax.xml.bind;version="[2,3)",
            javax.xml.bind.annotation;version="[2,3)",
            javax.persistence;version="[2,3)",
            org.hibernate,
            org.hibernate.cfg,
            org.hibernate.service,
            org.hibernate.jpa,
            org.hibernate.proxy,
            javassist.util.proxy,
            *
        </bundle.osgi.import.pkg>
        <!-- bundle.osgi.export.pkg>
        	ru.entaxy.esb.system.jpa.impl
        </bundle.osgi.export.pkg -->
    </properties>

    <dependencies>
        <dependency>
            <groupId>ru.entaxy.esb.system.registry.systems</groupId>
            <artifactId>system-api</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.core.events</groupId>
            <artifactId>events-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.registry.connector</groupId>
            <artifactId>connector-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.management.bundle.jpa</groupId>
            <artifactId>bundle-service</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.transaction</groupId>
            <artifactId>javax.transaction-api</artifactId>
            <version>${javax.transaction.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.interceptor</groupId>
            <artifactId>javax.interceptor-api</artifactId>
            <version>${javax.interceptor.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-impl</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-api</artifactId>
            <version>${project.version}</version>
        </dependency>

    </dependencies>

    <profiles>
        <!-- Development settings, -Denv=dev -->
        <profile>
            <id>dev</id>
            <activation>
                <property>
                    <name>env</name>
                    <value>dev</value>
                </property>
            </activation>
            <properties>
                <hibernate.show_sql>true</hibernate.show_sql>
                <hibernate.format_sql>true</hibernate.format_sql>
            </properties>
        </profile>
        <!-- Production settings, -Denv=prod -->
        <profile>
            <id>prod</id>
            <activation>
                <property>
                    <name>env</name>
                    <value>!dev</value>
                </property>
            </activation>
            <properties>
                <hibernate.show_sql>false</hibernate.show_sql>
                <hibernate.format_sql>false</hibernate.format_sql>
            </properties>
        </profile>
    </profiles>

</project>
